/*
 * defs.h
 *
 * Created: 2014-05-20 11:48:45
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_

#define SEG_PORT			PORTA
#define SEG_DDR				DDRA
#define SEG_PIN				PINA
#define SEGA				5			//active LO
#define SEGB				0
#define SEGC				4
#define SEGD				3
#define SEGE				2
#define SEGF				7
#define SEGG				6
#define SEGDP				1

#define ANODES_PORT			PORTB
#define ANODES_DDR			DDRB
#define ANODES_PIN			PINB
#define ANODE1				3			//active LO
#define ANODE2				4			//active LO

#define UI_PORT				PORTB
#define UI_DDR				DDRB
#define UI_PIN				PINB
#define SW1_PIN				0			//active LO
#define SW2_PIN				1			//active LO
#define SW3_PIN				6			//active LO
#define CFG_PIN				2
#define RELAY_PIN			5			//active HI

#define OUT_SET				UI_PORT |=  (1<<RELAY_PIN)
#define OUT_OFF				UI_PORT &= ~(1<<RELAY_PIN)
#define DP_OFF				SEG_PORT |=  (1<<SEGDP)
#define DP_SET				SEG_PORT &= ~(1<<SEGDP)

#define GET_SW1				(PINB & (1<<SW1_PIN))
#define GET_SW2				(PINB & (1<<SW2_PIN))
#define GET_SW3				(PINB & (1<<SW3_PIN))
#define GET_CFG				(PINB & (1<<CFG_PIN))

#define SW1_ACTION			1
#define SW2_ACTION			2
#define SW3_ACTION			3
#define SW_HOLD_ACTION		4


#define TICK_0_5S			244
#define SAVE_DELAY			150
#define EE_ADDRESS			6
#define TIME_MAX			99
#define TIME_DEFAULT		10
#define AFTERSTOP_TIME		100

#define STEP_IDLE			0
#define STEP_AFTERSTOP		1
#define STEP_STOP			2
#define STEP_START			3
#define STEP_RUN			4
#define STEP_PAUSE			5


#define MAIN_DELAY			10
#define DISP_REFRESH_FREQ	62	//~500Hz
#define ANODES_FACTOR		2

#define SWITCH_HOLD			60
#define SWITCH_PRESS		3




#endif /* DEFS_H_ */